Libosmium 2.22.0 Fast and flexible C++ library for working with OpenStreetMap data

Loading...
Searching...
No Matches
Public Member Functions | List of all members
osmium::area::AssemblerLegacy::MPFilter Struct Reference
Inheritance diagram for osmium::area::AssemblerLegacy::MPFilter:
[legend]
Collaboration diagram for osmium::area::AssemblerLegacy::MPFilter:
[legend]

## Public Member Functions
| MPFilter ()
Public Member Functions inherited from osmium::tags::Filter< TKey, TValue, TKeyComp, TValueComp >
| Filter (bool default_result=false)
template<typename V = TValue, typename std::enable_if_t<!std::is_void< V >::value, int > = 0>
Filter & | add (bool result, const key_type &key, const value_type &value)
Filter & | add (bool result, const key_type &key)
bool | operator() (const osmium::Tag &tag) const
size_t | count () const noexcept
bool | empty () const noexcept

## Additional Inherited Members
Public Types inherited from osmium::tags::Filter< TKey, TValue, TKeyComp, TValueComp >
using | filter_type = Filter<TKey, TValue, TKeyComp, TValueComp>
using | argument_type = const osmium::Tag&
using | result_type = bool
using | iterator = osmium::memory::CollectionFilterIterator<filter_type, const osmium::Tag>

## Constructor & Destructor Documentation

## ◆ MPFilter()

osmium::area::AssemblerLegacy::MPFilter::MPFilter | ( |  | ) |
| inline

The documentation for this struct was generated from the following file:

- include/osmium/area/assembler_legacy.hpp